---
title: Find timeslot by external id
slug: find-timeslot-by-external-id
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/find?external_id={externalId}",
  "name": "Get timeslot by external id",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "optional",
        "name": "{externalId}",
        "type": "Number",
        "children": [],
        "description": "The external_id of the timeslot you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"494099\",\n        \"type\": \"timeslot\",\n        \"attributes\": {\n            \"external-id\": \"TRRTTEER\",\n            \"title\": \"A test of the timeslot endpoint\",\n            \"reservable\": false,\n            \"duration\": 30,\n            \"location\": null,\n            \"content\": null,\n            \"subtitle\": \"Testing the subtitle\",\n            \"highlight-position\": null,\n            \"stream-link\": null,\n            \"chat-channel-id\": null,\n            \"start-time\": \"2029-07-01T08:00:00.000Z\",\n            \"end-time\": \"2029-07-01T08:30:00.000Z\",\n            \"tag-order\": [\n                \"116587\",\n                \"116586\",\n                \"116585\"\n            ]\n        },\n        \"relationships\": {\n            \"tags\": {\n                \"data\": [\n                    {\n                        \"id\": \"116587\",\n                        \"type\": \"tag\"\n                    },\n                    {\n                        \"id\": \"116586\",\n                        \"type\": \"tag\"\n                    },\n                    {\n                        \"id\": \"116585\",\n                        \"type\": \"tag\"\n                    }\n                ]\n            },\n            \"locations\": {\n                \"data\": []\n            },\n            \"speaker-assignments\": {\n                \"data\": []\n            },\n            \"speakers\": {\n                \"data\": []\n            },\n            \"tabs\": {\n                \"data\": []\n            },\n            \"attendee-groups\": {\n                \"data\": []\n            },\n            \"event\": {\n                \"data\": {\n                    \"id\": \"6357\",\n                    \"type\": \"event\"\n                }\n            }\n        }\n    },\n    \"included\": [\n        {\n            \"id\": \"116587\",\n            \"type\": \"tag\",\n            \"attributes\": {\n                \"name\": \"chod\",\n                \"color\": \"#D79658\",\n                \"updated-at\": \"2023-03-08T11:13:17.240Z\",\n                \"created-at\": \"2023-03-08T11:13:17.240Z\"\n            },\n            \"relationships\": {\n                \"event\": {\n                    \"data\": {\n                        \"id\": \"6357\",\n                        \"type\": \"event\"\n                    }\n                }\n            }\n        },\n        {\n            \"id\": \"116586\",\n            \"type\": \"tag\",\n            \"attributes\": {\n                \"name\": \"bob\",\n                \"color\": \"#00AF66\",\n                \"updated-at\": \"2023-03-08T11:13:11.106Z\",\n                \"created-at\": \"2023-03-08T11:13:11.106Z\"\n            },\n            \"relationships\": {\n                \"event\": {\n                    \"data\": {\n                        \"id\": \"6357\",\n                        \"type\": \"event\"\n                    }\n                }\n            }\n        },\n        {\n            \"id\": \"116585\",\n            \"type\": \"tag\",\n            \"attributes\": {\n                \"name\": \"tob\",\n                \"color\": \"#bb16a3\",\n                \"updated-at\": \"2023-03-08T11:08:19.426Z\",\n                \"created-at\": \"2023-03-08T11:08:19.426Z\"\n            },\n            \"relationships\": {\n                \"event\": {\n                    \"data\": {\n                        \"id\": \"6357\",\n                        \"type\": \"event\"\n                    }\n                }\n            }\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "1Gp1moWnQYy_6pOKIfmYq",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/find?external_id={externalId}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1Gp1moWnQYy_6pOKIfmYq"
  },
  "description": "Get a single timeslot in an event using its external id",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "get-timeslot-by-external-id",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

